# $Revision: 1.26 $, $Date: 2006/04/05 14:11:04 $
Summary:	AutoTrace - convert bitmap to vector graphics
Summary(pl):	AutoTrace - konwerter grafiki rastrowej do wektorowej
Name:		autotrace
Version:	0.31.1
Release:	7
License:	GPL
Group:		Applications
Source0:	http://dl.sourceforge.net/autotrace/%{name}-%{version}.tar.gz
# Source0-md5:	54eabbb38d2076ded6d271e1ee4d0783
Patch0:		%{name}-link.patch
Patch1:		%{name}-aclocal.patch
Patch2:		%{name}-am18.patch
Patch3:		%{name}-magick6.patch
URL:		http://autotrace.sourceforge.net/
BuildRequires:	ImageMagick-devel >= 1:6.2.4.0
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	libpng-devel >= 1.0.6
BuildRequires:	ming-devel
BuildRequires:	pstoedit-devel >= 3.33-4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
AutoTrace is a utility that converts bitmap to vector graphics. It can
import p[nbgp]m, bmp, tga, png (and many more through ImageMagick)
files and write to emf, eps, ai, er, fig, svg, sk and swf files.

%description -l pl
AutoTrace jest narzdziem do konwersji grafiki rastrowej na wektorow.
Moe wczytywa pliki p[nbgp]m, bmp, tga, png (i wiele innych przez
ImageMagick, a zapisywa w formacie emf, eps, ai, er, fig, svg, sk
oraz swf.

%package devel
Summary:	AutoTrace library development files
Summary(pl):	Pliki dla programistw uywajcych biblioteki AutoTrace
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	ImageMagick-devel >= 1:6.2.4.0
Requires:	libpng-devel >= 1.0.6
Requires:	ming-devel
Requires:	pstoedit-devel >= 3.33-4

%description devel
AutoTrace library header files.

%description devel -l pl
Pliki nagwkowe do biblioteki AutoTrace.

%package static
Summary:	AutoTrace static library
Summary(pl):	Biblioteka statyczna AutoTrace
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
AutoTrace static library.

%description static -l pl
Biblioteka statyczna AutoTrace.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--enable-shared

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README THANKS
%attr(755,root,root) %{_bindir}/autotrace
%attr(755,root,root) %{_libdir}/lib*.so.*.*.*
%{_mandir}/man1/*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/autotrace-config
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/autotrace
%{_aclocaldir}/autotrace.m4
%{_pkgconfigdir}/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: autotrace.spec,v $
Revision 1.26  2006/04/05 14:11:04  hawk
- release 7 (rebuild with new ImageMagick)

Revision 1.25  2005/10/03 18:09:59  arekm
- br new imagemagick

Revision 1.24  2005/10/02 19:58:02  arekm
- rel 5

Revision 1.23  2004/12/10 22:55:30  ankry
- rel. 4

Revision 1.22  2004/06/02 23:14:03  qboosh
- added magick6 patch, release 3 to rebuild w/o bogus deps

Revision 1.21  2003/12/28 18:24:26  qboosh
- added am18 patch (autotrace.m4 quotation fix), added -devel deps, release 2

Revision 1.20  2003/10/27 14:09:50  qboosh
- s/pstoedit/pstoedit-devel/ in BR

Revision 1.18  2003/07/07 04:23:50  blues
- many small fixes, inspired by kloczek

Revision 1.17  2003/05/28 12:58:47  malekith
- massive attack: source-md5

Revision 1.16  2003/05/25 05:45:51  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.15  2003/03/14 09:52:56  qboosh
- use http for sources on sourceforge

Revision 1.14  2002/12/20 22:35:28  qboosh
- added pstoedit support

Revision 1.13  2002/12/18 23:57:41  qboosh
- 0.31.1
- shared patch is outdated, but added still necessary link fix
- aclocal patch with AM_PATH_PSTOEDIT define extracted to acinclude.m4

Revision 1.12  2002/11/25 14:13:01  ankry
- massive attack: no need for 755 for *.la

Revision 1.11  2002/10/09 13:14:17  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.10  2002/07/07 11:17:06  qboosh
- updated to 0.30 (bug fixes, more export formats)
- updated shared patch, removed obsolete magick patch
- fixed empty -static package, updated files list, new %%doc

Revision 1.9  2002/06/23 20:32:20  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.8  2002/05/21 23:12:42  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.7  2002/04/25 15:50:29  arturs
fixed a small typo

Revision 1.6  2002/03/24 23:28:14  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.5  2002/02/22 23:28:42  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.4  2002/01/18 02:12:28  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.3  2001/10/26 18:20:47  qboosh
- BuildRequires: libtool

Revision 1.2  2001/10/25 22:01:34  qboosh
- adapterized

Revision 1.1  2001/10/25 21:47:46  qboosh
- up to 0.27a, renamed AutoTrace.spec to autotrace.spec, updated URLs
- shared patch to make shared library, magick patch with Magick API update

Revision 1.7  2001/05/02 00:42:07  qboosh
- adapterized and made spec %%debug ready or using %%rpm*flags macros

Revision 1.6  2000/06/09 07:22:44  kloczek
- added using %%{__make} macro.

Revision 1.5  2000/05/17 00:36:12  kloczek
- spec adapterized.

Revision 1.4  2000/04/01 11:14:21  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:54:13  baggins
- translated kloczkish into english

Revision 1.2  2000/03/17 14:16:15  cieciwa
- moved binaries to /usr/X11R6,
- adding Buildrequires.

Revision 1.1  2000/03/17 10:40:13  cieciwa
- first version of spec,
- build rpm.
